#include "xgfxlightdef.h"

XGfxLightDef::XGfxLightDef()
    : XAsset()
    , mName()
    , mAttenuation()
    , mLmapLookupStart(0)
{
    SetType(ASSET_TYPE_LIGHT_DEF);
    SetName("Light Def");
}

XGfxLightDef::~XGfxLightDef()
{

}

void XGfxLightDef::Clear()
{
    mName.Clear();
    mAttenuation.Clear();
    mLmapLookupStart = 0;
}

void XGfxLightDef::ParseData(QDataStream *aStream)
{
    mName.ParsePtr(aStream, false);
    mAttenuation.ParseData(aStream);
    *aStream >> mLmapLookupStart;

    mName.ParseData(aStream);
    mAttenuation.ParseData(aStream);
}
